---
title: "Create update"
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sureshake.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sureshake API › entities

`POST /v2/entities/{entityId}/updates`

## Path parameters

- `entityId` (`startup-create-update.path.entityId`; string, required)
  - format `uuid`

## Request body

_Required._

- `title` (`startup-create-update.title`; string, required)
  - minLength 1; maxLength 200
- `summary` (`startup-create-update.summary`; string, required)
  - minLength 1; maxLength 500
- `body` (`startup-create-update.body`; string, required)
  - minLength 1
- `idempotencyKey` (`startup-create-update.idempotencyKey`; string, required)
  - format `uuid`
- `visibility` (`startup-create-update.visibility`; string, optional)
  - one of `"public"`, `"followers"`; default `"followers"`
- `vaultArtifactIds` (`startup-create-update.vaultArtifactIds`; array<string>, optional)
  - format `uuid`; default `[]`

## Example request

```json
{
  "title": "string",
  "summary": "string",
  "body": "string",
  "visibility": "public",
  "vaultArtifactIds": [],
  "idempotencyKey": "0c14c6a6-6f50-4d1e-b0c4-b46ff43ba6a1"
}
```

## Code samples

### cURL

```bash
curl --request POST \
  --url 'https://api.sureshake.com/v2/entities/<entityId>/updates' \
  --header 'Content-Type: application/json' \
  --data '
{
  "title": "string",
  "summary": "string",
  "body": "string",
  "visibility": "public",
  "vaultArtifactIds": [],
  "idempotencyKey": "0c14c6a6-6f50-4d1e-b0c4-b46ff43ba6a1"
}
'
```

### TypeScript

```typescript
const url = 'https://api.sureshake.com/v2/entities/<entityId>/updates';
const options = {
  method: 'POST',
  headers: {'Content-Type': 'application/json'},
  body: JSON.stringify({
    title: 'string',
    summary: 'string',
    body: 'string',
    visibility: 'public',
    vaultArtifactIds: [],
    idempotencyKey: '0c14c6a6-6f50-4d1e-b0c4-b46ff43ba6a1'
  })
};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sureshake.com/v2/entities/<entityId>/updates"

payload = {
    "title": "string",
    "summary": "string",
    "body": "string",
    "visibility": "public",
    "vaultArtifactIds": [],
    "idempotencyKey": "0c14c6a6-6f50-4d1e-b0c4-b46ff43ba6a1"
}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
```

## Responses

### 201

Default Response

#### Example

```json
{
  "data": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "entityId": "156e622c-6cdf-4c27-9bc9-2f2db69919f5",
    "title": "string",
    "summary": "string",
    "body": "string",
    "visibility": "public",
    "status": "draft",
    "followerApprovedByUserId": "string",
    "followerApprovedAt": "2019-08-24T14:15:22Z",
    "vaultArtifactIds": [
      "string"
    ],
    "publishedAt": "2019-08-24T14:15:22Z",
    "createdBy": "string",
    "createdAt": "2019-08-24T14:15:22Z",
    "updatedAt": "2019-08-24T14:15:22Z"
  },
  "meta": {
    "timestamp": "2019-08-24T14:15:22Z"
  }
}
```

- `data` (`startup-create-update.response.201.data`; object, required)
  - `id` (`startup-create-update.response.201.data.id`; string, required)
    - format `uuid`
  - `entityId` (`startup-create-update.response.201.data.entityId`; string, required)
    - format `uuid`
  - `title` (`startup-create-update.response.201.data.title`; string, required)
  - `summary` (`startup-create-update.response.201.data.summary`; string, required)
  - `body` (`startup-create-update.response.201.data.body`; string, required, nullable)
  - `visibility` (`startup-create-update.response.201.data.visibility`; string, required)
    - one of `"public"`, `"followers"`
  - `status` (`startup-create-update.response.201.data.status`; string, required)
    - one of `"draft"`, `"published"`, `"archived"`
  - `followerApprovedByUserId` (`startup-create-update.response.201.data.followerApprovedByUserId`; string, required, nullable)
  - `followerApprovedAt` (`startup-create-update.response.201.data.followerApprovedAt`; string, required, nullable)
    - format `date-time`
  - `vaultArtifactIds` (`startup-create-update.response.201.data.vaultArtifactIds`; array<string>, required)
  - `publishedAt` (`startup-create-update.response.201.data.publishedAt`; string, required)
    - format `date-time`
  - `createdBy` (`startup-create-update.response.201.data.createdBy`; string, required)
  - `createdAt` (`startup-create-update.response.201.data.createdAt`; string, required)
    - format `date-time`
  - `updatedAt` (`startup-create-update.response.201.data.updatedAt`; string, required)
    - format `date-time`
- `meta` (`startup-create-update.response.201.meta`; object, optional)
  - `timestamp` (`startup-create-update.response.201.meta.timestamp`; string, required)
    - format `date-time`

### 400

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`startup-create-update.response.400.error`; object, required)
  - `code` (`startup-create-update.response.400.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`startup-create-update.response.400.error.message`; string, required) — Human-readable error message
  - `details` (`startup-create-update.response.400.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`startup-create-update.response.400.error.traceId`; string, optional) — Unique ID for log correlation

### 401

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`startup-create-update.response.401.error`; object, required)
  - `code` (`startup-create-update.response.401.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`startup-create-update.response.401.error.message`; string, required) — Human-readable error message
  - `details` (`startup-create-update.response.401.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`startup-create-update.response.401.error.traceId`; string, optional) — Unique ID for log correlation

### 403

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`startup-create-update.response.403.error`; object, required)
  - `code` (`startup-create-update.response.403.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`startup-create-update.response.403.error.message`; string, required) — Human-readable error message
  - `details` (`startup-create-update.response.403.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`startup-create-update.response.403.error.traceId`; string, optional) — Unique ID for log correlation

### 404

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`startup-create-update.response.404.error`; object, required)
  - `code` (`startup-create-update.response.404.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`startup-create-update.response.404.error.message`; string, required) — Human-readable error message
  - `details` (`startup-create-update.response.404.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`startup-create-update.response.404.error.traceId`; string, optional) — Unique ID for log correlation

### 409

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`startup-create-update.response.409.error`; object, required)
  - `code` (`startup-create-update.response.409.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`startup-create-update.response.409.error.message`; string, required) — Human-readable error message
  - `details` (`startup-create-update.response.409.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`startup-create-update.response.409.error.traceId`; string, optional) — Unique ID for log correlation

### 500

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`startup-create-update.response.500.error`; object, required)
  - `code` (`startup-create-update.response.500.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`startup-create-update.response.500.error.message`; string, required) — Human-readable error message
  - `details` (`startup-create-update.response.500.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`startup-create-update.response.500.error.traceId`; string, optional) — Unique ID for log correlation

### 503

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`startup-create-update.response.503.error`; object, required)
  - `code` (`startup-create-update.response.503.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`startup-create-update.response.503.error.message`; string, required) — Human-readable error message
  - `details` (`startup-create-update.response.503.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`startup-create-update.response.503.error.traceId`; string, optional) — Unique ID for log correlation


Source: https://docs.sureshake.com/reference/startup-create-update/index.md
